GitHub
Switch an agent's GitHub App
Moves the agent to a free organization App (githubAppId), or back to the built-in App (null). Refused with the coverage list (409) until that App is installed on every repository and account the agent works on; on success every installation the agent records moves to the App's installation on the same account.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/orgs/string/agents/string/github-app" \ -H "Content-Type: application/json" \ -d '{ "githubAppId": "06e5afe5-35f6-4699-b074-1e507e2209a8" }'{ "app": { "id": "string", "appId": 0, "slug": "string", "botUserId": 0, "agentId": "string", "installations": [ { "id": "string", "installationId": 0, "accountLogin": "string", "accountType": "string", "repositorySelection": "string", "suspended": true } ], "createdAt": "string" }}